using System;
using System.Runtime.InteropServices;
using CP210xExLib;

namespace EnumDevices
{
    class EnumDevices
    {
        [STAThread]
        static void Main(string[] args)
        {
            CP210xDevices Devices = new CP210xDevices();

            foreach(CP210x Device in Devices)
            {
                Console.WriteLine("Device = {0}", Device.GetPartNumber());
                Console.WriteLine("VID = {0}", Device.GetDeviceVid());
                Console.WriteLine("PID = {0}", Device.GetDevicePid());
                Console.WriteLine("Serial Number: {0}", Device.GetDeviceSerialNumber());
                Console.WriteLine("");

                Marshal.ReleaseComObject(Device);
            }
        }
    }
}
