' EnumDevices.vbs
' Enumerates all CP210x-Devices attached and shows
' some informations on the devices found.

Option Explicit
Dim oDevices, oDevice

Set oDevices = CreateObject("CP210x.Cp210xDevices")

If oDevices.Count = 0 Then
   WScript.Echo "No devices attached to the PC."
End If

For Each oDevice In oDevices
   WScript.Echo "Device found is a CP210" & oDevice.GetPartNumber & vbCrLf & _
                "VID = " & oDevice.GetDeviceVid & vbCrLf & _
                "PID = " & oDevice.GetDevicePid & vbCrLf & _
                "Product = " & oDevice.GetDeviceProductString & vbCrLf & _
                "SerialNumber = " & oDevice.GetDeviceSerialNumber & vbCrLf & vbCrLf
Next

