#ifndef CENUMVARIANT_H
#define CENUMVARIANT_H

class CEnumVARIANT : public IEnumVARIANT
{
public:
    // IUnknown
    IFACEMETHOD(QueryInterface) (REFIID riid, void** ppvObj);
    IFACEMETHOD_(ULONG, AddRef) ();
    IFACEMETHOD_(ULONG, Release)();

    // IEnumVARIANT
    IFACEMETHOD(Next)(ULONG celt, VARIANT* rgVar, ULONG* pCeltFetched);
    IFACEMETHOD(Skip)(ULONG celt);
    IFACEMETHOD(Reset)();
    IFACEMETHOD(Clone)(IEnumVARIANT** ppEnum);

    explicit CEnumVARIANT(__in ICP210xDevices* pDevices) noexcept;

private:
    virtual ~CEnumVARIANT();

    ICP210xDevices* m_pDevices;
    volatile LONG   m_lCursor;
    volatile ULONG  m_lRefCount;
};

#endif
